/***************************************************************************
                               dlgoptionhistory.h
                             -------------------
    begin                : Fri Aug 2 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGOPTIONHISTORY_H
#define DLGOPTIONHISTORY_H

#include <qwidget.h>
#include <kmudsetuppane.h>

class KmudConfigCache;

/**
  *@author Kmud Developer Team
  */

class DlgOptionHistory : public KmudSetupPane
{
   Q_OBJECT
public: 
	DlgOptionHistory(KmudConfigCache *data,QString group,QWidget *parent, const char *name);
	~DlgOptionHistory();

public slots:
	/** This slot is called when the delfault/reset button is pressed */
	virtual void slotDefaultPressed();
	/** This slot is called when the cancel button is pressed */
	virtual void slotCancelPressed();
	/** This slot is called when the OK button is pressed */
	virtual void slotOkPressed();

private:
	KmudConfigCache *m_data;
};

#endif
