/***************************************************************************
                               dlgoptiontiming.h
                             -------------------
    begin                : Fri Aug 2 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGOPTIONTIMING_H
#define DLGOPTIONTIMING_H

#include <kmudsetuppane.h>

class KmudConfigCache;

/**
  *@author Kmud Developer Team
  */

class DlgOptionTiming : public KmudSetupPane
{
Q_OBJECT

public: 
	DlgOptionTiming(KmudConfigCache *data,QString group,QWidget *parent, const char *name);
	~DlgOptionTiming();

public slots:
	/** This slot is called when the delfault/reset button is pressed */
	virtual void slotDefaultPressed();
	/** This slot is called when the cancel button is pressed */
	virtual void slotCancelPressed();
	/** This slot is called when the OK button is pressed */
	virtual void slotOkPressed();

private slots:
	/** This method is called when the auto connect checkbox is clicked */
	void slotConnectStateChanged(bool on);
	/** This method is called when the blink checkbox is clicked */
	void slotBlinkStateChanged(bool on);

private:
	KmudConfigCache *m_data;
};

#endif
