/***************************************************************************
                               cmudprofile.h
                             -------------------
    begin                : Sat Mar 2 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CMUDPROFILE_H
#define CMUDPROFILE_H

#include <cprofile.h>

// Qt includes
#include <qdict.h>
#include <qstringlist.h>

/** Class for MUD profiles
  * @author Kmud Developer Team
  */

class CMudProfile : public CProfile  {
public: 
	CMudProfile();
	~CMudProfile();

	void create();

	CProfile* charProfile(const QString& name);
	bool addCharProfile(const QString& name, CProfile* profile);
	CProfile* removeCharProfile(const QString& name);	
	QStringList characters();
	
protected:
	QDict<CProfile> m_charProfiles;
};

#endif
