/***************************************************************************
                          dlgoptioncolors.h  -  description
                             -------------------
    begin                : Thu Mar 8 2001
    copyright            : (C) 2001 by KMud Development Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGOPTIONCOLOURS_H
#define DLGOPTIONCOLOURS_H

#include <qwidget.h>
#include <kmudsetuppane.h>

class DlgOptionColorsBase;
class KmudConfigCache;

/**The colors options dialog
  *@author KMud Development Team
  */

class DlgOptionColors  : public KmudSetupPane
{
   Q_OBJECT
public: 
	DlgOptionColors(KmudConfigCache *data,QString group,QWidget *parent, const char *name);
	~DlgOptionColors();

public slots:
	/** This slot is called when the delfault/reset button is pressed */
	virtual void slotDefaultPressed();
	/** This slot is called when the cancel button is pressed */
	virtual void slotCancelPressed();
	/** This slot is called when the OK button is pressed */
	virtual void slotOkPressed();

private:
	void loadColors();

private:
	KmudConfigCache *m_data;
};

#endif
